' Fichier definition des constantes et variables pour VBW Visual Basic Script
' A inclure dans votre source VBA si vous souhaitez controler VBW depuis MS Office

Option Explicit

public VBW
Set VBW = CreateObject("VisionBudget.Application")

' Types de comptes
const vbwTypeEcr="Ecritures", vbwTypeExt="Compte externe"
const vbwTypeAct="Compte Titre"

' Types de Soldes
const vbwSoldeToday=-1, vbwSoldeDR=-2, vbwSoldeEnd=-3, vbwSoldeEndPrv=-4
const vbwSoldeNDR=-20 ' Special en mode releve pour nouveau solde releve
const vbwSoldeBalance=-2, vbwSoldeValue=-1, vbwSoldePMVR=-3, vbwSoldePMV=-4
' voir aussi Aide VBW : DDE : Copier Solde d'un compte

'Retour Boutons EcrDialog
const vbwBOk=0, vbwBVentil=1, vbwBNext=2, vbwBPrev=3, vbwBCancel=-1

' Type de vue
const vbwViewNormal=0, vbwViewInfos=1, vbwViewGraph=2, vbwViewBudget=3, vbwViewPrev=4

' Type d'oprations
const vbwOpeNor=1, vbwOpeCbC=2, vbwOpeVir=3, vbwOpeSec=4, vbwOpeInt=5
const vbwOpePrm=6, vbwOpeSim=7, vbwOpeSol=8, vbwOpeEqu=9

' Modes d'oprations
const vbwModeNor=0, vbwModeRel=1, vbwModeSup=2, vbwModePrv=4, vbwModeBud=8

' Modes pour VBW.FileSelect
const vbwLoad=0, vbwSave=2, vbwMustExist=1, vbwCreatePrompt=4

' Type d'affichage pour VBW.Print
const vbwNormal=0, vbwDouble=2, vbwCenter=4

' Mode de colonne pour UsrCpt
const vbwColCenter=0, vbwColLeft=1, vbwColright=2, vbwColSymbol=8

' Type de dessin pour VBW.GraphDraw
const vbwNone=0 , vbwLine=1, vbwRect=2, vbwFillRect=3, vbwText=4
const vbwFont=5, vbwBrush=6, vbwColor=7, vbwPen=8
const vbwSetPie=9, vbwPie=10, vbwFill=11, vbwEllipse=12
const vbwTextZone=13, vbwBkColor=14, vbwPieP=15, vbwSetPieSqr=16

' Avec ou sans echelle automatique
const vbwNoScale=1, vbwScale=0

'TEXTZONE
const vbwZLeft=0, vbwZCenter=1, vbwZRight=2
const vbwZVTop=32, vbwZVCenter=36, vbwVBottom=40
const vbwZAutoRect=1024, vbwZAutoLine=16

'FONT
const vbwItalic=8, vbwUnderline=16, vbwBold=1, vbwThin=2
const vbwSystemFont=-1, vbwFixedSystemFont=-2

' BRUSH
const vbwBrushNull=-2
const vbwBrushSolid=-1     ' _____
const vbwBrushHorizontal=0 ' -----
const vbwBrushVertical=1   ' |||||
const vbwBrushFDiagonal=2  ' \\\\\
const vbwBrushBDiagonal=3  ' /////
const vbwBrushCross=4      ' +++++
const vbwBrushDiagcross=5  ' xxxxx
' Pen
const vbwPenNull=-2
const vbwPenSolid=0       ' _______
const vbwPenDash=1        ' -------
const vbwPenDot=2         ' .......
const vbwPenDashDot=3     ' _._._._
const vbwPenDashDotDot=4  ' _.._.._

'Symbols
const vbwSymbolBox="~", vbwSymbolCheckBox="~", vbwSymbolCheck="~"
const vbwSymbolCrossBox="~", vbwSymbolCross="~"